tunefs.ocfs2(8)

NAME
tunefs.ocfs2 - Change OCFS2 file system parameters.

SYNOPSIS
tunefs.ocfs2 [--cloned-volume[=new-label] [--fs-features=list-of-features] [-J journal-options] [-L volume-label] [-N number-of-node-slots] [-Q query-format] [-ipqnSUvVy] [--backup-super] [--list-sparse] device [blocks-count]

DESCRIPTION

tunefs.ocfs2(8) is used to adjust OCFS2 file system parameters on disk. The tool expects the cluster to be online as it needs to take the appropriate cluster locks to write safely to disk.

OPTIONS

--cloned-volume[=new-label]
    Change the volume UUID (auto-generated) and the label, if provided, of a cloned OCFS2 volume. This option does not perform volume cloning. It only changes the UUID and label on a cloned volume so that it can be mounted on the node that has the original volume mounted.

--fs-features=[no]sparse...
    Turn specific file system features on or off. tunefs.ocfs2(8) will attempt to enable or disable the feature list provided. To enable a feature, include it in the list. To disable a feature, prepend no to the name. For a list of feature names, refer to mkfs.ocfs2(8).

-J, --journal-options options
    Modify the journal using options specified on the command-line. Journal options are comma separated, and may take an argument using the equals ('=') sign. For a list of possible options, refer to mkfs.ocfs2(8).

-L, --label volume-label
    Change the volume label of the file system. Limit the label to under 64 bytes.

-N, --node-slots number-of-node-slots
    Valid number ranges from 1 to 255. This number specifies the maximum number of nodes that can concurrently mount the partition. Use this to increase or decrease the number of node slots. One reason to decrease could be to release the space consumed by the journals for those slots.

-S, --volume-size
    Grow the size of the OCFS2 file system. If blocks-count is not specified, tunefs.ocfs2(8) extends the volume to the current size of the device.

-Q, --query query-format
    Query the file system for its attributes like block size, label, etc. Query formats are modified versions of the standard printf(3) formatting. The format is made up of static strings (which may include standard C character escapes for newlines, tabs, and other special characters) and printf(3) type formatters. The list of type specifiers is as follows:

    B	Block size in bytes

    T	Cluster size in bytes

    N	Number of node slots

    R	Root directory block number

    Y	System directory block number

    P	First cluster group block number

    V	Volume label

    U	Volume uuid

    M	Compat flags

    H	Incompat flags

    O	RO Compat flags

-q, --quiet
    Quiet mode.

-U, --uuid-reset[=new-uuid]
    Reset the volume UUID of the file system. If not provided, the utility will auto generate it. For custom UUID, specify in either the plain (2A4D1C581FAA42A1A41D26EFC90C1315) or the traditional (2a4d1c58-1faa-42a1-a41d-26efc90c1315) format. Users specifying custom UUIDs must be careful to ensure that no two volumes have the same UUID. If more than one file system were to have the same UUID, one is very likely to encounter erratic behavior, if not, outright file system corruption.

-v, --verbose
    Verbose mode.

-V, --version
    Show version and exit.

-y, --yes
    Always answer Yes in interactive command line.

-n, --no
    Always answer No in interactive command line.

--backup-super
    Backs up the superblock to fixed offsets (1G, 4G, 16G, 64G, 256G and 1T) on disk. This option is useful for users to backup the superblock on volumes that the user either explicitly disallowed while formatting, or, used a version of mkfs.ocfs2(8) (1.2.2 or older) that did not provide this facility.

--list-sparse
    Lists the files having holes. This option is useful when disabling the sparse feature.

--update-cluster-stack
    Updating on-disk cluster information to match the running cluster. Users looking to update the on-disk cluster stack without starting the new cluster should use the o2cluster(8) utility.

blocks-count
    During resize, tunefs.ocfs2(8) automatically determines the size of the given device and grows the file system such that it uses all of the available space on the device. This optional argument specifies that the file system should be extended to consume only the given number of file system blocks on the device.

EXAMPLES
# tunefs.ocfs2 -Q "UUID = %U\nNumSlots = %N\n" /dev/sda1
UUID = CBB8D5E0C169497C8B52A0FD555C7A3E
NumSlots = 4

SEE ALSO
debugfs.ocfs2(8) fsck.ocfs2(8) fsck.ocfs2.checks(8) mkfs.ocfs2(8) mount.ocfs2(8) mounted.ocfs2(8) o2cluster(8) o2image(8) o2info(1)

AUTHORS
Oracle Corporation

COPYRIGHT
Copyright © 2004, 2012 Oracle. All rights reserved.